Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIAO::Port_Activator Class Reference

Base class for port activations. More...

`#include <Port_Activator.h>`

Inheritance diagram for CIAO::Port_Activator:

[legend]
Collaboration diagram for CIAO::Port_Activator:

[legend]
List of all members.

## Public Types
enum | Type { Facet, Sink }
## Public Member Functions
| Port_Activator (const char *oid, const char *name, Type t)
virtual | ~Port_Activator (void)
const char * | name (void) const
| Return the name of port that this activator encapulates.
void | set_name (const char *name)
| Set the name.
virtual PortableServer::Servant | activate (const PortableServer::ObjectId &oid ACE_ENV_ARG_DECL)=0
| Activate the servant reponsible for this port.
virtual void | deactivate (const PortableServer::Servant servant ACE_ENV_ARG_DECL)=0
## Protected Attributes
CORBA::String_var | oid_
CORBA::String_var | name_
| Name of the port.
Type | t_
| What type of port is it, a consumer or facet.

## Detailed Description

Base class for port activations.

This is a ABC for the Port_Activator_T <> template class where the bulk of the work is done. This class is simply a place holder so that we could use the pointer to this class to achieve polymorphism for facet and consumer servant activations.

## Member Enumeration Documentation

enum CIAO::Port_Activator::Type

  | Enumeration values:
  Facet |
  Sink |

## Constructor & Destructor Documentation

CIAO::Port_Activator::Port_Activator | ( | const char * | oid,
|  | const char * | name,
|  | Type | t
| ) |

CIAO::Port_Activator::~Port_Activator | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual PortableServer::Servant CIAO::Port_Activator::activate | ( | const PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Activate the servant reponsible for this port. There are intentionally no throw specifications. It is the caller's responsibility to handle CORBA and C++ specifications. Implemented in CIAO::Port_Activator_T< SERV, EXEC, CONTEXT, COMP_SERV >.

virtual void CIAO::Port_Activator::deactivate | ( | const PortableServer::Servant servant | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Implemented in CIAO::Port_Activator_T< SERV, EXEC, CONTEXT, COMP_SERV >.

const char * CIAO::Port_Activator::name | ( | void |  | ) | const

| Return the name of port that this activator encapulates.

void CIAO::Port_Activator::set_name | ( | const char * | name | ) |

| Set the name.

## Member Data Documentation

CORBA::String_var CIAO::Port_Activator::name_`[protected]`

| Name of the port.

CORBA::String_var CIAO::Port_Activator::oid_`[protected]`

| The object ID that is used to activate the servant within the POA.

Type CIAO::Port_Activator::t_`[protected]`

| What type of port is it, a consumer or facet.

The documentation for this class was generated from the following files:

- Port_Activator.h
- Port_Activator.cpp